function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/04_Bridge_Bench_HO.lua', 'hidden_object', 'data/Scenes/04_Bridge_Bench.lua')
    
    play_field:IgnoreOnTestPoint('Horseshoe_shadow');
    play_field:IgnoreOnTestPoint('Pipe_shadow');
    play_field:IgnoreOnTestPoint('horseshoe_layer');
    
    AddTask(CreateTask('FRETSAW',      '',             'Fretsaw'));
    AddTask(CreateTask('COIN',         'COINS',        'Coin', 'Coin1', 'Coin2', 'Coin3'));
    AddTask(CreateTask('LITTLE_BELL',  'LITTLE_BELLS', 'LittleBell', 'LittleBell1', 'LittleBell2', 'LittleBell3'));
    
    AddRandomTasks( CreateTask('BAG',            '', 'Bag'),
                    CreateTask('BELL',           '', 'Bell'),
                    CreateTask('BRACELET',       '', 'Bracelet'),
                    CreateTask('BRUSH',          '', 'Brush'),
                    CreateTask('BUTTON',         '', 'Button'),
                    CreateTask('CAMEO',          '', 'Cameo'),
                    CreateTask('ACE_OF_SPADES',  '', 'Cards'),
                    CreateTask('CASE',           '', 'Case'),
                    CreateTask('EARING',         '', 'Earing'),
                    CreateTask('HORSESHOE',      '', 'Horseshoe'),
                    CreateTask('INKPOT',         '', 'Inkpot'),
                    CreateTask('LETTER',         '', 'Letter'),
                    CreateTask('OILER',          '', 'Oiler'),
                    CreateTask('PENCIL',         '', 'Pencil'),
                    CreateTask('PINCE_NEZ',      '', 'PinceNez'),
                    CreateTask('PIPE',           '', 'Pipe'),
                    CreateTask('PURSE',          '', 'Purse'),
                    CreateTask('REEL_OF_THREAD', '', 'ReelOfThread'),
                    CreateTask('SCISSORS',       '', 'Scissors'),
                    CreateTask('HEX_NUT',        '', 'Screwnut'),
                    CreateTask('SNUFFBOX',       '', 'Snuffbox'),
                    CreateTask('RUBBER_STAMP',   '', 'Stamp'),
                    CreateTask('WATCH',          '', 'Swatch'),
                    CreateTask('ROLL_OF_PAPERS', '', 'BundleOfPapers'),
                    CreateTask('QUEEN_OF_HEARTS','', 'Card'),
                    CreateTask('CARRIAGE',       '', 'Carriage'),
                    CreateTask('CROWN',          '', 'Crown'),
                    CreateTask('FLY',            '', 'Fly'),
                    CreateTask('LANTERN',        '', 'Lantern'),
                    CreateTask('LEAF',           '', 'Leaf'),
                    CreateTask('LION',           '', 'Lion'),
                    CreateTask('ROPE',           '', 'Rope'),
                    CreateTask('ROSE',           '', 'Rose'),
                    CreateTask('SEAHORSE',       '', 'Seahorse'),
                    CreateTask('GRIFFIN',        '', 'Sphinx'));
    
    RegisterToolFindInfo('04_fretsaw', nil, nil, nil);
    
    local state_value = game_state.scene_path.."(Horseshoe)";
    
    if HasGameState("TaskObjectFound", state_value)
    then
        play_field:GetObject('Horseshoe_shadow'):SetOpacity(0);
    end
    
    state_value = game_state.scene_path.."(Pipe)";
    if HasGameState("TaskObjectFound", state_value)
    then
        play_field:GetObject('Pipe_shadow'):SetOpacity(0);
    end
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    if object:GetName() == 'Horseshoe' then
        play_field:GetObject('Horseshoe_shadow'):ChangeOpacity(1,0,0.2);
    end
    
    if object:GetName() == 'Pipe' then
        play_field:GetObject('Pipe_shadow'):ChangeOpacity(1,0,0.2);
    end
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Bag.png',0,0,104,134,1,0)
	anim:SetHotSpot(52,67)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bag',anim,450,457,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Bell.png',0,0,120,100,1,0)
	anim:SetHotSpot(60,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,373,360,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Bracelet.png',0,0,134,92,1,0)
	anim:SetHotSpot(67,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bracelet',anim,622,352,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Brush.png',0,0,199,156,1,0)
	anim:SetHotSpot(99,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Brush',anim,644,531,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Button.png',0,0,64,62,1,0)
	anim:SetHotSpot(32,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button',anim,626,643,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Cameo.png',0,0,79,117,1,0)
	anim:SetHotSpot(39,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cameo',anim,776,410,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Cards.png',0,0,157,146,1,0)
	anim:SetHotSpot(78,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cards',anim,706,284,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Case.png',0,0,248,276,1,0)
	anim:SetHotSpot(124,138)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Case',anim,344,607,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Coin.png',0,0,53,65,1,0)
	anim:SetHotSpot(26,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coin',anim,301,184,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Earing.png',0,0,77,72,1,0)
	anim:SetHotSpot(38,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Earing',anim,575,215,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Inkpot.png',0,0,133,174,1,0)
	anim:SetHotSpot(66,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Inkpot',anim,723,583,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Letter.png',0,0,252,301,1,0)
	anim:SetHotSpot(126,150)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Letter',anim,873,225,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/LittleBell.png',0,0,47,45,1,0)
	anim:SetHotSpot(23,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LittleBell',anim,591,474,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Oiler.png',0,0,169,246,1,0)
	anim:SetHotSpot(84,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Oiler',anim,210,218,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Pencil.png',0,0,47,182,1,0)
	anim:SetHotSpot(23,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pencil',anim,321,423,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/PinceNez.png',0,0,228,157,1,0)
	anim:SetHotSpot(114,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PinceNez',anim,388,240,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Purse.png',0,0,174,132,1,0)
	anim:SetHotSpot(87,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Purse',anim,607,161,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/ReelOfThread.png',0,0,102,125,1,0)
	anim:SetHotSpot(51,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ReelOfThread',anim,470,309,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Scissors.png',0,0,221,129,1,0)
	anim:SetHotSpot(110,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors',anim,580,494,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Screwnut.png',0,0,88,120,1,0)
	anim:SetHotSpot(44,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Screwnut',anim,234,475,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Snuffbox.png',0,0,130,117,1,0)
	anim:SetHotSpot(65,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Snuffbox',anim,665,218,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Stamp.png',0,0,97,111,1,0)
	anim:SetHotSpot(48,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Stamp',anim,489,568,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Swatch.png',0,0,186,169,1,0)
	anim:SetHotSpot(93,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Swatch',anim,794,305,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/bag_layer.png',0,0,68,42,1,0)
	anim:SetHotSpot(34,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag_layer',anim,433,402,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/brush_layer.png',0,0,92,109,1,0)
	anim:SetHotSpot(46,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_layer',anim,719,494,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/case_layer.png',0,0,99,268,1,0)
	anim:SetHotSpot(49,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('case_layer',anim,250,634,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/horseshoe_layer.png',0,0,176,86,1,0)
	anim:SetHotSpot(88,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe_layer',anim,782,59,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/inkpot_layer.png',0,0,59,146,1,0)
	anim:SetHotSpot(29,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('inkpot_layer',anim,776,601,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/oiler_layer.png',0,0,85,210,1,0)
	anim:SetHotSpot(42,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oiler_layer',anim,160,241,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/pencil_layer.png',0,0,49,93,1,0)
	anim:SetHotSpot(24,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pencil_layer',anim,328,433,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/pipe_layer.png',0,0,59,94,1,0)
	anim:SetHotSpot(29,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe_layer',anim,816,516,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/screwnut_layer.png',0,0,88,139,1,0)
	anim:SetHotSpot(44,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwnut_layer',anim,203,479,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/swatch_layer.png',0,0,84,114,1,0)
	anim:SetHotSpot(42,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('swatch_layer',anim,853,340,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/kamea_layer.png',0,0,54,89,1,0)
	anim:SetHotSpot(27,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kamea_layer',anim,792,396,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/letter_layer.png',0,0,185,260,1,0)
	anim:SetHotSpot(92,130)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('letter_layer',anim,919,251,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Horseshoe.png',0,0,198,237,1,0)
	anim:SetHotSpot(99,118)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Horseshoe',anim,783,135,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/Horseshoe_shadow.png',0,0,196,232,1,0)
	anim:SetHotSpot(98,116)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Horseshoe_shadow',anim,810,156,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Coin1.png',0,0,72,56,1,0)
	anim:SetHotSpot(36,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coin1',anim,532,377,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Coin2.png',0,0,60,56,1,0)
	anim:SetHotSpot(30,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coin2',anim,533,548,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Coin3.png',0,0,65,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coin3',anim,526,222,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/LittleBell1.png',0,0,61,46,1,0)
	anim:SetHotSpot(30,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LittleBell1',anim,503,174,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/LittleBell2.png',0,0,66,59,1,0)
	anim:SetHotSpot(33,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LittleBell2',anim,229,337,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/LittleBell3.png',0,0,54,54,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LittleBell3',anim,762,493,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Fretsaw.png',0,0,121,212,1,0)
	anim:SetHotSpot(60,106)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fretsaw',anim,317,104,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/Fretsaw_layer.png',0,0,115,101,1,0)
	anim:SetHotSpot(57,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fretsaw_layer',anim,294,51,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Pipe.png',0,0,177,191,1,0)
	anim:SetHotSpot(88,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipe',anim,741,456,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Layers/Pipe_shadow.png',0,0,169,191,1,0)
	anim:SetHotSpot(84,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipe_shadow',anim,745,456,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/BundleOfPapers.png',0,0,73,120,1,0)
	anim:SetHotSpot(36,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BundleOfPapers',anim,58,58,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Card.png',0,0,117,114,1,0)
	anim:SetHotSpot(58,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card',anim,637,424,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Carriage.png',0,0,108,85,1,0)
	anim:SetHotSpot(54,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Carriage',anim,399,140,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Crown.png',0,0,81,75,1,0)
	anim:SetHotSpot(40,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crown',anim,983,124,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Fly.png',0,0,96,83,1,0)
	anim:SetHotSpot(48,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly',anim,911,454,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Lantern.png',0,0,71,111,1,0)
	anim:SetHotSpot(35,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lantern',anim,42,537,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Leaf.png',0,0,69,103,1,0)
	anim:SetHotSpot(34,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Leaf',anim,916,99,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Lion.png',0,0,64,62,1,0)
	anim:SetHotSpot(32,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lion',anim,508,126,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Rope.png',0,0,170,334,1,0)
	anim:SetHotSpot(85,167)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rope',anim,153,378,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Rose.png',0,0,74,55,1,0)
	anim:SetHotSpot(37,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rose',anim,538,315,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Seahorse.png',0,0,84,117,1,0)
	anim:SetHotSpot(42,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Seahorse',anim,982,587,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/04_Bridge/Zone_HO/Items/Sphinx.png',0,0,92,101,1,0)
	anim:SetHotSpot(46,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sphinx',anim,51,158,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
